> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cloud.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all user portfolios

> Returns all of the user's portfolios.

<Tabs groupId="programming-language">
  <Tab value="Java" title="Java">
    ```java theme={null}
    PortfoliosService portfoliosService = IntxServiceFactory.createPortfoliosService(client);
    ListPortfoliosRequest request = new ListPortfoliosRequest.Builder().build();
    ListPortfoliosResponse response = portfoliosService.listPortfolios(request);
    ```

    For more information, please visit the [INTX Java SDK](https://github.com/coinbase-samples/intx-sdk-java).
  </Tab>

  <Tab value=".NET" title=".NET">
    ```cs theme={null}
    var portfoliosService = new PortfoliosService(client);
    var request = new ListPortfoliosRequest();
    var response = portfoliosService.ListPortfolios(request);
    ```

    For more information, please visit the [INTX .NET SDK](https://github.com/coinbase-samples/intx-sdk-dotnet).
  </Tab>

  <Tab value="Go" title="Go">
    ```go theme={null}
    portfoliosSvc := portfolios.NewPortfoliosService(client)
    request := &portfolios.ListPortfoliosRequest{}
    response, err := portfoliosSvc.ListPortfolios(context.Background(), request)
    ```

    For more information, please visit the [INTX Go SDK](https://github.com/coinbase-samples/intx-sdk-go).
  </Tab>

  <Tab value="Python" title="Python">
    ```python theme={null}
    client = IntxClient()
    request = ListPortfoliosRequest()
    response = client.list_portfolios(request)
    ```

    For more information, please visit the [INTX Python SDK](https://github.com/coinbase-samples/intx-sdk-py).
  </Tab>

  <Tab value="Typescript" title="TS/JS">
    ```js theme={null}
    const portfoliosService = new PortfoliosService(client);

    portfoliosService.listPortfolios().then(async (response) => {
        console.log('Portfolios: ', response);
    })
    ```

    For more information, please visit the [INTX TS SDK](https://github.com/coinbase-samples/intx-sdk-ts).
  </Tab>

  <Tab value="CLI" title="CLI">
    ```
    intxctl list-portfolios --help
    ```

    For more information, please visit the [INTX CLI](https://github.com/coinbase-samples/intx-cli).
  </Tab>
</Tabs>


## OpenAPI

````yaml GET /api/v1/portfolios
openapi: 3.0.3
info:
  title: REST API
  description: >
    # Welcome to Coinbase INTX API

    ## Introduction

    The INTX APIs allow institutions to trade and manage orders on the
    International Exchange. The following API pages detail various REST API
    endpoints we offer.

    ## Getting Started

    To get started, please visit one of the following pages:

    - [Quickstart](/international-exchange/introduction/quickstart)

    -
    [Overview](/api-reference/international-exchange-api/rest-api/introduction)

    -
    [Authentication](/api-reference/international-exchange-api/rest-api/authentication)

    - [Rate Limits](/international-exchange/introduction/rate-limits-overview)

    ## FIX API

    - [FIX API reference](/international-exchange/fix-api/fix-api-overview)

    ## WebSocket API

    - [WebSocket API
    reference](/international-exchange/websocket-feed/websocket-overview)
  version: '1.0'
servers:
  - url: https://api.international.coinbase.com
security: []
paths:
  /api/v1/portfolios:
    get:
      tags:
        - Portfolios
      summary: List all user portfolios
      description: Returns all of the user's portfolios.
      operationId: getPortfolios
      responses:
        '200':
          description: Portfolio list
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Portfolio_v1'
        '400':
          description: Invalid attribute
      security:
        - auth_client_id: []
          auth_passphrase: []
          auth_signature: []
          auth_timestamp: []
components:
  schemas:
    Portfolio_v1:
      type: object
      properties:
        portfolio_id:
          description: A unique identifier for the portfolio
          type: string
          example: 14thr7ft-1-0
        portfolio_uuid:
          description: A UUID for the portfolio
          type: string
          format: uuid
          example: 3d50e347-6a59-4965-a4cd-b25934d84126
        name:
          description: A human readable name for the portfolio
          type: string
          example: Investment Account
        user_uuid:
          description: A user UUID for brokers that attribute a single user per portfolio
          type: string
          format: uuid
          example: f67de785-60a7-45ea-b87a-07e83eae7c12
        maker_fee_rate:
          description: The fee rate charged for order making liquidity
          type: string
          example: 0.02
        taker_fee_rate:
          description: The fee rate charged for orders taking liquidity
          type: string
          example: 0.04
        trading_lock:
          description: Indicates if the portfolio has been locked from trading
          type: boolean
        borrow_disabled:
          description: Indicates whether or not the portfolio can borrow
          type: boolean
        is_lsp:
          description: Indicates if the portfolio is setup to take liquidation assignments
          type: boolean
        is_default:
          description: Indicates if the portfolio is the account default portfolio
          type: boolean
        cross_collateral_enabled:
          description: Indicates if the cross collateral is enabled for the portfolio
          type: boolean
        pre_launch_trading_enabled:
          description: Indicates if pre-launch trading is enabled for the portfolio
          type: boolean
        disable_overdraft_protection:
          description: Indicates if loan overdraft protection is disabled for the portfolio
          type: boolean
  securitySchemes:
    auth_client_id:
      type: apiKey
      name: CB-ACCESS-KEY
      in: header
      description: The Client ID that owns the API Key for the request
    auth_passphrase:
      type: apiKey
      name: CB-ACCESS-PASSPHRASE
      in: header
      description: The pass phrase affiliated with the API Key
    auth_signature:
      type: apiKey
      name: CB-ACCESS-SIGN
      in: header
      description: >-
        A HMAC SHA-256 signature using the API Key secret on the string
        TIMESTAMP, METHOD, REQUEST_PATH, BODY
    auth_timestamp:
      type: apiKey
      name: CB-ACCESS-TIMESTAMP
      in: header
      description: The timestamp of when the request is being made

````